> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.hindsiteind.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.hindsiteind.com/_mcp/server.

# Get Defects

GET https://app.hindsiteind.com/api/v2/defects

Reference: https://api-docs.hindsiteind.com/hindsite-api/defects/get-defects

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v2/defects:
    get:
      operationId: get-defects
      summary: Get Defects
      tags:
        - subpackage_defects
      parameters:
        - name: status
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ApiV2DefectsGetParametersStatus'
        - name: work_order_id
          in: query
          required: false
          schema:
            type: string
        - name: work_order_task_id
          in: query
          required: false
          schema:
            type: string
        - name: form_step_id
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: integer
        - name: Authorization
          in: header
          description: >-
            OAuth 2.0 Client Credentials Flow. To obtain an access token:


            1. Request API credentials from HINDSITE support to receive your
            `client_id` and `client_secret`


            2. Make a POST request to obtain an access token:

            ```

            POST https://app.hindsiteind.com/oauth/token

            Content-Type: application/x-www-form-urlencoded


            grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET

            ```


            3. The response will contain your access token:

            ```json

            {
              "access_token": "your_access_token_here",
              "token_type": "Bearer",
              "expires_in": 7200,
              "created_at": 1234567890
            }

            ```


            4. Include the token in subsequent API requests:

            ```

            Authorization: Bearer your_access_token_here

            ```
          required: true
          schema:
            type: string
      responses:
        '200':
          description: get Defect(s)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/defects_getDefects_Response_200'
servers:
  - url: https://app.hindsiteind.com
    description: Production
components:
  schemas:
    ApiV2DefectsGetParametersStatus:
      type: string
      enum:
        - open
        - in_review
        - resolved
        - closed
      title: ApiV2DefectsGetParametersStatus
    User:
      type: object
      properties:
        id:
          type: string
          description: ULID
        email:
          type: string
        name:
          type: string
        is_admin:
          type: boolean
        location_manager:
          type: boolean
        last_active_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        archived:
          type: boolean
        organisation_id:
          type: string
          description: ULID
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: User
    Review:
      type: object
      properties:
        id:
          type: string
          description: ULID
        status:
          type: string
        comment:
          type: string
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Review
    Reviewer:
      type: object
      properties:
        id:
          type: string
          description: ULID
        name:
          type: string
        person_id:
          type: string
          description: ULID
        reviewable_id:
          type: string
          description: ULID
        reviewable_type:
          type: string
        status:
          type: string
        requested_at:
          type: string
          format: date-time
        reviews:
          type: array
          items:
            $ref: '#/components/schemas/Review'
      title: Reviewer
    FormOption:
      type: object
      properties:
        id:
          type: string
          description: ULID
        value:
          type: string
        colour:
          type: string
        instruction_option_id:
          type: string
          description: ULID
      title: FormOption
    FormRecord:
      type: object
      properties:
        id:
          type: string
          description: ULID
        value:
          type: string
      title: FormRecord
    Content:
      type: object
      properties:
        id:
          type: string
          description: ULID
        original:
          type: string
          description: Presigned URL
        versions:
          type: array
          items:
            type: string
        thumbnails:
          type: array
          items:
            type: string
        title:
          type: string
      title: Content
    FormAttachment:
      type: object
      properties:
        id:
          type: string
          description: ULID
        content:
          $ref: '#/components/schemas/Content'
        excluded_from_export:
          type: boolean
      title: FormAttachment
    FormInput:
      type: object
      properties:
        id:
          type: string
          description: ULID
        input:
          type: string
        unformatted_date_input:
          type: string
        selected_multi_options:
          type: array
          items:
            $ref: '#/components/schemas/FormOption'
        selected_input_records:
          type: array
          items:
            $ref: '#/components/schemas/FormRecord'
        failed_validations:
          type: array
          items:
            type: string
        prefix:
          type: string
        suffix:
          type: string
        instruction_input_title:
          type: string
        instruction_input_type:
          type: string
        instruction_input_id:
          type: string
          description: ULID
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/FormAttachment'
        form_step_id:
          type: string
          description: ULID
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: FormInput
    Note:
      type: object
      properties:
        id:
          type: string
          description: ULID
        content:
          type: string
          description: Sanitized HTML content
        plain_text_content:
          type: string
        user:
          $ref: '#/components/schemas/User'
        noteable_type:
          type: string
        noteable_id:
          type: string
          description: ULID
        attachments:
          type: array
          items:
            description: Any type
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Note
    ActionAssignedTo:
      type: object
      properties:
        id:
          type: string
          description: ULID
        name:
          type: string
      title: ActionAssignedTo
    Action:
      type: object
      properties:
        id:
          type: string
          description: ULID
        title:
          type: string
        description:
          type: string
        status:
          type: string
        priority:
          type: string
        actionable_type:
          type: string
        actionable_id:
          type: string
          description: ULID
        assigned_to_id:
          type: string
          description: ULID
        user_id:
          type: string
          description: ULID
        organisation_id:
          type: string
          description: ULID
        due_date:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        completed_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        notes:
          type: array
          items:
            $ref: '#/components/schemas/Note'
        user:
          $ref: '#/components/schemas/User'
        contents:
          type: array
          items:
            $ref: '#/components/schemas/Content'
        assigned_to:
          $ref: '#/components/schemas/ActionAssignedTo'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Action
    FormComment:
      type: object
      properties:
        id:
          type: string
          description: ULID
        description:
          type: string
        user:
          $ref: '#/components/schemas/User'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: FormComment
    FormStep:
      type: object
      properties:
        id:
          type: string
          description: ULID
        instruction_step_id:
          type: string
          description: ULID
        form_id:
          type: string
          description: ULID
        started_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        next_instruction_step_id:
          type: string
          description: ULID
        decision_value:
          type: string
        instruction_decisions_id:
          type: string
          description: ULID. Deprecated, use instruction_decision_id
        instruction_decision_id:
          type: string
          description: ULID
        decision_colour:
          type: string
        flagged:
          type: boolean
        instruction_step_title:
          type: string
        instruction_step_section_title:
          type: string
        instruction_step_description:
          type: string
        report_description:
          type: string
        terminal:
          type: boolean
        completed_by_user_id:
          type: string
          description: ULID
        first_step:
          type: boolean
        defects_count:
          type: integer
        active_defects_count:
          type: integer
        inputs:
          type: array
          items:
            $ref: '#/components/schemas/FormInput'
        actions:
          type: array
          items:
            $ref: '#/components/schemas/Action'
        comment:
          $ref: '#/components/schemas/FormComment'
        completed_by_user:
          $ref: '#/components/schemas/User'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: FormStep
    FormApproval:
      type: object
      properties:
        id:
          type: string
          description: ULID
        user_id:
          type: string
          description: ULID
        user:
          $ref: '#/components/schemas/User'
      title: FormApproval
    Form:
      type: object
      properties:
        id:
          type: string
          description: ULID
        title:
          type: string
        instruction_revision_id:
          type: string
          description: ULID
        contributor_ids:
          type: array
          items:
            type: string
        approved:
          type: boolean
        started_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        completed_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        work_order_task_id:
          type: string
          description: ULID
        taken_over_from_form_id:
          type: string
          description: ULID
        in_progress_user_id:
          type: string
          description: ULID
        note:
          type: string
        co_author_ids:
          type: array
          items:
            type: string
          description: Deprecated, use contributor_ids
        user_id:
          type: string
          description: ULID
        in_progress_user:
          $ref: '#/components/schemas/User'
        work_order_task:
          $ref: '#/components/schemas/WorkOrderTask'
        steps:
          type: array
          items:
            $ref: '#/components/schemas/FormStep'
        flagged_steps:
          type: array
          items:
            $ref: '#/components/schemas/FormStep'
        user:
          $ref: '#/components/schemas/User'
        contributors:
          type: array
          items:
            $ref: '#/components/schemas/User'
        connected_users:
          type: array
          items:
            $ref: '#/components/schemas/User'
        co_authors:
          type: array
          items:
            $ref: '#/components/schemas/User'
          description: Deprecated, use contributors
        approvals:
          type: array
          items:
            $ref: '#/components/schemas/FormApproval'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Form
    PlannedPart:
      type: object
      properties:
        id:
          type: string
          description: ULID
        quantity:
          type: number
          format: double
        instruction_revision_id:
          type: string
          description: ULID
      title: PlannedPart
    InstructionValidation:
      type: object
      properties:
        id:
          type: string
          description: ULID
        validation_type:
          type: string
        value:
          type: string
        restricted:
          type: boolean
      title: InstructionValidation
    InstructionOption:
      type: object
      properties:
        id:
          type: string
          description: ULID
        value:
          type: string
        colour:
          type: string
      title: InstructionOption
    InstructionInputSettings:
      type: object
      properties: {}
      title: InstructionInputSettings
    InstructionCondition:
      type: object
      properties:
        id:
          type: string
          description: ULID
        instruction_input_id:
          type: string
          description: ULID
        condition_type:
          type: string
        condition_value:
          type: string
        instruction_conditional_input:
          $ref: '#/components/schemas/InstructionInput'
      title: InstructionCondition
    InstructionInput:
      type: object
      properties:
        id:
          type: string
          description: ULID
        title:
          type: string
        input_type:
          type: string
        sort_order:
          type: integer
        required:
          type: boolean
        hold_point:
          type: boolean
        validations:
          type: array
          items:
            $ref: '#/components/schemas/InstructionValidation'
        options:
          type: array
          items:
            $ref: '#/components/schemas/InstructionOption'
        prefix:
          type: string
        suffix:
          type: string
        input_owner_id:
          type: string
          description: ULID
        input_owner_type:
          type: string
        settings:
          $ref: '#/components/schemas/InstructionInputSettings'
        type:
          type: string
        instruction_input:
          type: boolean
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/InstructionCondition'
      title: InstructionInput
    InstructionDecision:
      type: object
      properties:
        id:
          type: string
          description: ULID
        next_instruction_step_id:
          type: string
          description: ULID
        instruction_step_id:
          type: string
          description: ULID
        label:
          type: string
        colour:
          type: string
      title: InstructionDecision
    InstructionAttachment:
      type: object
      properties:
        id:
          type: string
          description: ULID
        original:
          type: string
          description: Presigned URL
        versions:
          type: array
          items:
            type: string
        thumbnails:
          type: array
          items:
            type: string
        title:
          type: string
        include_in_report:
          type: boolean
      description: Extends Content with additional report inclusion flag
      title: InstructionAttachment
    InstructionStep:
      type: object
      properties:
        id:
          type: string
          description: ULID
        step_uuid:
          type: string
        title:
          type: string
        section_title:
          type: string
        report_only:
          type: boolean
        description:
          type: string
        inputs:
          type: array
          items:
            $ref: '#/components/schemas/InstructionInput'
        decisions:
          type: array
          items:
            $ref: '#/components/schemas/InstructionDecision'
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/InstructionAttachment'
      title: InstructionStep
    InstructionRevision:
      type: object
      properties:
        id:
          type: string
          description: ULID
        title:
          type: string
        description:
          type: string
        archived:
          type: boolean
        first_instruction_step_id:
          type: string
          description: ULID
        location_ids:
          type: array
          items:
            type: string
        group_ids:
          type: array
          items:
            type: string
        user_id:
          type: string
          description: ULID
        is_template:
          type: boolean
        instruction_id:
          type: string
          description: ULID
        is_latest_in_collection:
          type: boolean
        organisation_wide:
          type: boolean
        planned_parts:
          type: array
          items:
            $ref: '#/components/schemas/PlannedPart'
        part_confirmation_required:
          type: boolean
        links:
          type: array
          items:
            description: Any type
        steps:
          type: array
          items:
            $ref: '#/components/schemas/InstructionStep'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: InstructionRevision
    WorkOrderTask:
      type: object
      properties:
        id:
          type: string
          description: ULID
        title:
          type: string
        instruction_id:
          type: string
          description: ULID
        work_order_id:
          type: string
          description: ULID
        sort_order:
          type: integer
        flagged:
          type: boolean
        published_instruction_revision_id:
          type: string
          description: ULID
        users:
          type: array
          items:
            $ref: '#/components/schemas/User'
        started_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        completed:
          type: boolean
        approved:
          type: boolean
        asset_id:
          type: string
          description: ULID
        tracked_time:
          type: integer
        defects_count:
          type: integer
        active_defects_count:
          type: integer
        started_by:
          $ref: '#/components/schemas/User'
        editable:
          type: boolean
        reviewers:
          type: array
          items:
            $ref: '#/components/schemas/Reviewer'
        form:
          $ref: '#/components/schemas/Form'
        published_instruction_revision:
          $ref: '#/components/schemas/InstructionRevision'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: WorkOrderTask
    CustomFieldValue:
      type: object
      properties:
        id:
          type: string
          description: ULID
        custom_field_definition_id:
          type: string
          description: ULID
        name:
          type: string
        value:
          type: string
      title: CustomFieldValue
    CustomFieldDefinition:
      type: object
      properties:
        id:
          type: string
          description: ULID
        name:
          type: string
        customisable_entity_name:
          type: string
        field_type:
          type: string
        required:
          type: boolean
        options:
          description: Any type
        sort_order:
          type: integer
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: CustomFieldDefinition
    DefectEvent:
      type: object
      properties:
        id:
          type: string
          description: ULID
        event_type:
          type: string
        event_description:
          type: string
        user:
          $ref: '#/components/schemas/User'
        from_status:
          type: string
        to_status:
          type: string
        note:
          $ref: '#/components/schemas/Note'
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldValue'
        custom_field_definitions:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDefinition'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: DefectEvent
    Defect:
      type: object
      properties:
        id:
          type: string
          description: ULID
        display_id:
          type: string
        custom_id:
          type: string
        status:
          type: string
        description:
          type: string
        description_html:
          type: string
        form_step_id:
          type: string
          description: ULID
        form_id:
          type: string
          description: ULID
        step_label:
          type: string
        requires_resolution_images:
          type: boolean
        rework_count:
          type: integer
        created_by_user:
          $ref: '#/components/schemas/User'
        assignees:
          type: array
          items:
            $ref: '#/components/schemas/User'
        reviewers:
          type: array
          items:
            $ref: '#/components/schemas/User'
        approvers:
          type: array
          items:
            $ref: '#/components/schemas/User'
        observers:
          type: array
          items:
            $ref: '#/components/schemas/User'
        available_transitions:
          type: array
          items:
            type: string
        can_manage_participants:
          type: boolean
        work_order_task:
          $ref: '#/components/schemas/WorkOrderTask'
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldValue'
        custom_field_definitions:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDefinition'
        timeline:
          type: array
          items:
            $ref: '#/components/schemas/DefectEvent'
        description_attachments:
          type: array
          items:
            description: Any type
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Defect
    defects_getDefects_Response_200:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/Defect'
        next_page:
          type: integer
          description: Next page number, or null if no more pages
      title: defects_getDefects_Response_200
  securitySchemes:
    OAuth2:
      type: http
      scheme: bearer
      description: >-
        OAuth 2.0 Client Credentials Flow. To obtain an access token:


        1. Request API credentials from HINDSITE support to receive your
        `client_id` and `client_secret`


        2. Make a POST request to obtain an access token:

        ```

        POST https://app.hindsiteind.com/oauth/token

        Content-Type: application/x-www-form-urlencoded


        grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET

        ```


        3. The response will contain your access token:

        ```json

        {
          "access_token": "your_access_token_here",
          "token_type": "Bearer",
          "expires_in": 7200,
          "created_at": 1234567890
        }

        ```


        4. Include the token in subsequent API requests:

        ```

        Authorization: Bearer your_access_token_here

        ```

```

## Examples



**Response**

```json
{
  "results": [
    {
      "id": "string",
      "display_id": "string",
      "custom_id": "string",
      "status": "string",
      "description": "string",
      "description_html": "string",
      "form_step_id": "string",
      "form_id": "string",
      "step_label": "string",
      "requires_resolution_images": true,
      "rework_count": 1,
      "created_by_user": {
        "id": "string",
        "email": "string",
        "name": "string",
        "is_admin": true,
        "location_manager": true,
        "last_active_at": 1,
        "archived": true,
        "organisation_id": "string",
        "created_at": 1,
        "updated_at": 1
      },
      "assignees": [
        {
          "id": "string",
          "email": "string",
          "name": "string",
          "is_admin": true,
          "location_manager": true,
          "last_active_at": 1,
          "archived": true,
          "organisation_id": "string",
          "created_at": 1,
          "updated_at": 1
        }
      ],
      "reviewers": [
        {
          "id": "string",
          "email": "string",
          "name": "string",
          "is_admin": true,
          "location_manager": true,
          "last_active_at": 1,
          "archived": true,
          "organisation_id": "string",
          "created_at": 1,
          "updated_at": 1
        }
      ],
      "approvers": [
        {
          "id": "string",
          "email": "string",
          "name": "string",
          "is_admin": true,
          "location_manager": true,
          "last_active_at": 1,
          "archived": true,
          "organisation_id": "string",
          "created_at": 1,
          "updated_at": 1
        }
      ],
      "observers": [
        {
          "id": "string",
          "email": "string",
          "name": "string",
          "is_admin": true,
          "location_manager": true,
          "last_active_at": 1,
          "archived": true,
          "organisation_id": "string",
          "created_at": 1,
          "updated_at": 1
        }
      ],
      "available_transitions": [
        "string"
      ],
      "can_manage_participants": true,
      "work_order_task": {
        "id": "string",
        "title": "string",
        "instruction_id": "string",
        "work_order_id": "string",
        "sort_order": 1,
        "flagged": true,
        "published_instruction_revision_id": "string",
        "users": [
          {
            "id": "string",
            "email": "string",
            "name": "string",
            "is_admin": true,
            "location_manager": true,
            "last_active_at": 1,
            "archived": true,
            "organisation_id": "string",
            "created_at": 1,
            "updated_at": 1
          }
        ],
        "started_at": 1,
        "completed": true,
        "approved": true,
        "asset_id": "string",
        "tracked_time": 1,
        "defects_count": 1,
        "active_defects_count": 1,
        "started_by": {
          "id": "string",
          "email": "string",
          "name": "string",
          "is_admin": true,
          "location_manager": true,
          "last_active_at": 1,
          "archived": true,
          "organisation_id": "string",
          "created_at": 1,
          "updated_at": 1
        },
        "editable": true,
        "reviewers": [
          {
            "id": "string",
            "name": "string",
            "person_id": "string",
            "reviewable_id": "string",
            "reviewable_type": "string",
            "status": "string",
            "requested_at": "2024-01-15T09:30:00Z",
            "reviews": [
              {
                "id": "string",
                "status": "string",
                "comment": "string",
                "created_at": 1
              }
            ]
          }
        ],
        "form": {
          "id": "string",
          "title": "string",
          "instruction_revision_id": "string",
          "contributor_ids": [
            "string"
          ],
          "approved": true,
          "started_at": 1,
          "completed_at": 1,
          "work_order_task_id": "string",
          "taken_over_from_form_id": "string",
          "in_progress_user_id": "string",
          "note": "string",
          "co_author_ids": [
            "string"
          ],
          "user_id": "string",
          "in_progress_user": {
            "id": "string",
            "email": "string",
            "name": "string",
            "is_admin": true,
            "location_manager": true,
            "last_active_at": 1,
            "archived": true,
            "organisation_id": "string",
            "created_at": 1,
            "updated_at": 1
          },
          "steps": [
            {
              "id": "string",
              "instruction_step_id": "string",
              "form_id": "string",
              "started_at": 1,
              "next_instruction_step_id": "string",
              "decision_value": "string",
              "instruction_decisions_id": "string",
              "instruction_decision_id": "string",
              "decision_colour": "string",
              "flagged": true,
              "instruction_step_title": "string",
              "instruction_step_section_title": "string",
              "instruction_step_description": "string",
              "report_description": "string",
              "terminal": true,
              "completed_by_user_id": "string",
              "first_step": true,
              "defects_count": 1,
              "active_defects_count": 1,
              "inputs": [
                {
                  "id": "string",
                  "input": "string",
                  "unformatted_date_input": "string",
                  "selected_multi_options": [
                    {
                      "id": "string",
                      "value": "string",
                      "colour": "string",
                      "instruction_option_id": "string"
                    }
                  ],
                  "selected_input_records": [
                    {
                      "id": "string",
                      "value": "string"
                    }
                  ],
                  "failed_validations": [
                    "string"
                  ],
                  "prefix": "string",
                  "suffix": "string",
                  "instruction_input_title": "string",
                  "instruction_input_type": "string",
                  "instruction_input_id": "string",
                  "attachments": [
                    {
                      "id": "string",
                      "content": {
                        "id": "string",
                        "original": "string",
                        "versions": [
                          "string"
                        ],
                        "thumbnails": [
                          "string"
                        ],
                        "title": "string"
                      },
                      "excluded_from_export": true
                    }
                  ],
                  "form_step_id": "string",
                  "created_at": 1,
                  "updated_at": 1
                }
              ],
              "actions": [
                {
                  "id": "string",
                  "title": "string",
                  "description": "string",
                  "status": "string",
                  "priority": "string",
                  "actionable_type": "string",
                  "actionable_id": "string",
                  "assigned_to_id": "string",
                  "user_id": "string",
                  "organisation_id": "string",
                  "due_date": 1,
                  "completed_at": 1,
                  "notes": [
                    {
                      "id": "string",
                      "content": "string",
                      "plain_text_content": "string",
                      "user": {
                        "id": "string",
                        "email": "string",
                        "name": "string",
                        "is_admin": true,
                        "location_manager": true,
                        "last_active_at": 1,
                        "archived": true,
                        "organisation_id": "string",
                        "created_at": 1,
                        "updated_at": 1
                      },
                      "noteable_type": "string",
                      "noteable_id": "string",
                      "attachments": [
                        null
                      ],
                      "created_at": 1,
                      "updated_at": 1
                    }
                  ],
                  "user": {
                    "id": "string",
                    "email": "string",
                    "name": "string",
                    "is_admin": true,
                    "location_manager": true,
                    "last_active_at": 1,
                    "archived": true,
                    "organisation_id": "string",
                    "created_at": 1,
                    "updated_at": 1
                  },
                  "contents": [
                    {
                      "id": "string",
                      "original": "string",
                      "versions": [
                        "string"
                      ],
                      "thumbnails": [
                        "string"
                      ],
                      "title": "string"
                    }
                  ],
                  "assigned_to": {
                    "id": "string",
                    "name": "string"
                  },
                  "created_at": 1,
                  "updated_at": 1
                }
              ],
              "comment": {
                "id": "string",
                "description": "string",
                "user": {
                  "id": "string",
                  "email": "string",
                  "name": "string",
                  "is_admin": true,
                  "location_manager": true,
                  "last_active_at": 1,
                  "archived": true,
                  "organisation_id": "string",
                  "created_at": 1,
                  "updated_at": 1
                },
                "created_at": 1,
                "updated_at": 1
              },
              "completed_by_user": {
                "id": "string",
                "email": "string",
                "name": "string",
                "is_admin": true,
                "location_manager": true,
                "last_active_at": 1,
                "archived": true,
                "organisation_id": "string",
                "created_at": 1,
                "updated_at": 1
              },
              "created_at": 1,
              "updated_at": 1
            }
          ],
          "flagged_steps": [
            {
              "id": "string",
              "instruction_step_id": "string",
              "form_id": "string",
              "started_at": 1,
              "next_instruction_step_id": "string",
              "decision_value": "string",
              "instruction_decisions_id": "string",
              "instruction_decision_id": "string",
              "decision_colour": "string",
              "flagged": true,
              "instruction_step_title": "string",
              "instruction_step_section_title": "string",
              "instruction_step_description": "string",
              "report_description": "string",
              "terminal": true,
              "completed_by_user_id": "string",
              "first_step": true,
              "defects_count": 1,
              "active_defects_count": 1,
              "inputs": [
                {
                  "id": "string",
                  "input": "string",
                  "unformatted_date_input": "string",
                  "selected_multi_options": [
                    {
                      "id": "string",
                      "value": "string",
                      "colour": "string",
                      "instruction_option_id": "string"
                    }
                  ],
                  "selected_input_records": [
                    {
                      "id": "string",
                      "value": "string"
                    }
                  ],
                  "failed_validations": [
                    "string"
                  ],
                  "prefix": "string",
                  "suffix": "string",
                  "instruction_input_title": "string",
                  "instruction_input_type": "string",
                  "instruction_input_id": "string",
                  "attachments": [
                    {
                      "id": "string",
                      "content": {
                        "id": "string",
                        "original": "string",
                        "versions": [
                          "string"
                        ],
                        "thumbnails": [
                          "string"
                        ],
                        "title": "string"
                      },
                      "excluded_from_export": true
                    }
                  ],
                  "form_step_id": "string",
                  "created_at": 1,
                  "updated_at": 1
                }
              ],
              "actions": [
                {
                  "id": "string",
                  "title": "string",
                  "description": "string",
                  "status": "string",
                  "priority": "string",
                  "actionable_type": "string",
                  "actionable_id": "string",
                  "assigned_to_id": "string",
                  "user_id": "string",
                  "organisation_id": "string",
                  "due_date": 1,
                  "completed_at": 1,
                  "notes": [
                    {
                      "id": "string",
                      "content": "string",
                      "plain_text_content": "string",
                      "user": {
                        "id": "string",
                        "email": "string",
                        "name": "string",
                        "is_admin": true,
                        "location_manager": true,
                        "last_active_at": 1,
                        "archived": true,
                        "organisation_id": "string",
                        "created_at": 1,
                        "updated_at": 1
                      },
                      "noteable_type": "string",
                      "noteable_id": "string",
                      "attachments": [
                        null
                      ],
                      "created_at": 1,
                      "updated_at": 1
                    }
                  ],
                  "user": {
                    "id": "string",
                    "email": "string",
                    "name": "string",
                    "is_admin": true,
                    "location_manager": true,
                    "last_active_at": 1,
                    "archived": true,
                    "organisation_id": "string",
                    "created_at": 1,
                    "updated_at": 1
                  },
                  "contents": [
                    {
                      "id": "string",
                      "original": "string",
                      "versions": [
                        "string"
                      ],
                      "thumbnails": [
                        "string"
                      ],
                      "title": "string"
                    }
                  ],
                  "assigned_to": {
                    "id": "string",
                    "name": "string"
                  },
                  "created_at": 1,
                  "updated_at": 1
                }
              ],
              "comment": {
                "id": "string",
                "description": "string",
                "user": {
                  "id": "string",
                  "email": "string",
                  "name": "string",
                  "is_admin": true,
                  "location_manager": true,
                  "last_active_at": 1,
                  "archived": true,
                  "organisation_id": "string",
                  "created_at": 1,
                  "updated_at": 1
                },
                "created_at": 1,
                "updated_at": 1
              },
              "completed_by_user": {
                "id": "string",
                "email": "string",
                "name": "string",
                "is_admin": true,
                "location_manager": true,
                "last_active_at": 1,
                "archived": true,
                "organisation_id": "string",
                "created_at": 1,
                "updated_at": 1
              },
              "created_at": 1,
              "updated_at": 1
            }
          ],
          "user": {
            "id": "string",
            "email": "string",
            "name": "string",
            "is_admin": true,
            "location_manager": true,
            "last_active_at": 1,
            "archived": true,
            "organisation_id": "string",
            "created_at": 1,
            "updated_at": 1
          },
          "contributors": [
            {
              "id": "string",
              "email": "string",
              "name": "string",
              "is_admin": true,
              "location_manager": true,
              "last_active_at": 1,
              "archived": true,
              "organisation_id": "string",
              "created_at": 1,
              "updated_at": 1
            }
          ],
          "connected_users": [
            {
              "id": "string",
              "email": "string",
              "name": "string",
              "is_admin": true,
              "location_manager": true,
              "last_active_at": 1,
              "archived": true,
              "organisation_id": "string",
              "created_at": 1,
              "updated_at": 1
            }
          ],
          "co_authors": [
            {
              "id": "string",
              "email": "string",
              "name": "string",
              "is_admin": true,
              "location_manager": true,
              "last_active_at": 1,
              "archived": true,
              "organisation_id": "string",
              "created_at": 1,
              "updated_at": 1
            }
          ],
          "approvals": [
            {
              "id": "string",
              "user_id": "string",
              "user": {
                "id": "string",
                "email": "string",
                "name": "string",
                "is_admin": true,
                "location_manager": true,
                "last_active_at": 1,
                "archived": true,
                "organisation_id": "string",
                "created_at": 1,
                "updated_at": 1
              }
            }
          ],
          "created_at": 1,
          "updated_at": 1
        },
        "published_instruction_revision": {
          "id": "string",
          "title": "string",
          "description": "string",
          "archived": true,
          "first_instruction_step_id": "string",
          "location_ids": [
            "string"
          ],
          "group_ids": [
            "string"
          ],
          "user_id": "string",
          "is_template": true,
          "instruction_id": "string",
          "is_latest_in_collection": true,
          "organisation_wide": true,
          "planned_parts": [
            {
              "id": "string",
              "quantity": 1.1,
              "instruction_revision_id": "string"
            }
          ],
          "part_confirmation_required": true,
          "links": [
            null
          ],
          "steps": [
            {
              "id": "string",
              "step_uuid": "string",
              "title": "string",
              "section_title": "string",
              "report_only": true,
              "description": "string",
              "inputs": [
                {
                  "id": "string",
                  "title": "string",
                  "input_type": "string",
                  "sort_order": 1,
                  "required": true,
                  "hold_point": true,
                  "validations": [
                    {
                      "id": "string",
                      "validation_type": "string",
                      "value": "string",
                      "restricted": true
                    }
                  ],
                  "options": [
                    {
                      "id": "string",
                      "value": "string",
                      "colour": "string"
                    }
                  ],
                  "prefix": "string",
                  "suffix": "string",
                  "input_owner_id": "string",
                  "input_owner_type": "string",
                  "settings": {},
                  "type": "string",
                  "instruction_input": true,
                  "conditions": [
                    {
                      "id": "string",
                      "instruction_input_id": "string",
                      "condition_type": "string",
                      "condition_value": "string"
                    }
                  ]
                }
              ],
              "decisions": [
                {
                  "id": "string",
                  "next_instruction_step_id": "string",
                  "instruction_step_id": "string",
                  "label": "string",
                  "colour": "string"
                }
              ],
              "attachments": [
                {
                  "id": "string",
                  "original": "string",
                  "versions": [
                    "string"
                  ],
                  "thumbnails": [
                    "string"
                  ],
                  "title": "string",
                  "include_in_report": true
                }
              ]
            }
          ],
          "created_at": 1,
          "updated_at": 1
        },
        "created_at": 1,
        "updated_at": 1
      },
      "custom_fields": [
        {
          "id": "string",
          "custom_field_definition_id": "string",
          "name": "string",
          "value": "string"
        }
      ],
      "custom_field_definitions": [
        {
          "id": "string",
          "name": "string",
          "customisable_entity_name": "string",
          "field_type": "string",
          "required": true,
          "sort_order": 1,
          "created_at": 1,
          "updated_at": 1
        }
      ],
      "timeline": [
        {
          "id": "string",
          "event_type": "string",
          "event_description": "string",
          "user": {
            "id": "string",
            "email": "string",
            "name": "string",
            "is_admin": true,
            "location_manager": true,
            "last_active_at": 1,
            "archived": true,
            "organisation_id": "string",
            "created_at": 1,
            "updated_at": 1
          },
          "from_status": "string",
          "to_status": "string",
          "note": {
            "id": "string",
            "content": "string",
            "plain_text_content": "string",
            "user": {
              "id": "string",
              "email": "string",
              "name": "string",
              "is_admin": true,
              "location_manager": true,
              "last_active_at": 1,
              "archived": true,
              "organisation_id": "string",
              "created_at": 1,
              "updated_at": 1
            },
            "noteable_type": "string",
            "noteable_id": "string",
            "attachments": [
              null
            ],
            "created_at": 1,
            "updated_at": 1
          },
          "custom_fields": [
            {
              "id": "string",
              "custom_field_definition_id": "string",
              "name": "string",
              "value": "string"
            }
          ],
          "custom_field_definitions": [
            {
              "id": "string",
              "name": "string",
              "customisable_entity_name": "string",
              "field_type": "string",
              "required": true,
              "sort_order": 1,
              "created_at": 1,
              "updated_at": 1
            }
          ],
          "created_at": 1
        }
      ],
      "description_attachments": [
        null
      ],
      "created_at": 1,
      "updated_at": 1
    }
  ],
  "next_page": 1
}
```

**SDK Code**

```python
import requests

url = "https://app.hindsiteind.com/api/v2/defects"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.hindsiteind.com/api/v2/defects';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.hindsiteind.com/api/v2/defects"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.hindsiteind.com/api/v2/defects")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.hindsiteind.com/api/v2/defects")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.hindsiteind.com/api/v2/defects', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.hindsiteind.com/api/v2/defects");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.hindsiteind.com/api/v2/defects")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```